package com.qmth.jkserver.dto.wps;

import com.alibaba.fastjson.JSONObject;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: wps题目vo
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/5/8
 */
public class WpsQuestionVo implements Serializable {

    @ApiModelProperty(value = "小题id")
    String id;

    @ApiModelProperty(value = "小题序号")
    Integer number;

    @ApiModelProperty(value = "小题满分")
    BigDecimal score;

    @ApiModelProperty(value = "结构类型")
    Integer structType;

    @ApiModelProperty(value = "新的题型编码")
    Integer type;

    @ApiModelProperty(value = "是否客观题")
    boolean objective;

    @ApiModelProperty(value = "小题题干")
    JSONObject body;

    @ApiModelProperty(value = "试题扩展属性")
    WpsParamVo param;

    public WpsQuestionVo() {

    }

    public WpsQuestionVo(String id, Integer number, BigDecimal score, Integer type) {
        this.id = id;
        this.number = number;
        this.score = score;
        this.type = type;
    }

    public WpsQuestionVo(String id, Integer number, BigDecimal score, Integer type, JSONObject body, WpsParamVo param) {
        this.id = id;
        this.number = number;
        this.score = score;
        this.type = type;
        this.body = body;
        this.param = param;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public BigDecimal getScore() {
        return score;
    }

    public void setScore(BigDecimal score) {
        this.score = score;
    }

    public Integer getStructType() {
        return structType;
    }

    public void setStructType(Integer structType) {
        this.structType = structType;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public boolean isObjective() {
        return objective;
    }

    public void setObjective(boolean objective) {
        this.objective = objective;
    }

    public JSONObject getBody() {
        return body;
    }

    public void setBody(JSONObject body) {
        this.body = body;
    }

    public WpsParamVo getParam() {
        return param;
    }

    public void setParam(WpsParamVo param) {
        this.param = param;
    }
}
